Package org.eclipse.core.databinding.observable.list

## Class ListDiffEntry<E>

- java.lang.Object
- - org.eclipse.core.databinding.observable.list.ListDiffEntry<E>

Type Parameters:
  `E` - the type of the elements in this diff entry

    public abstract class ListDiffEntry<E>
    extends Object

A single addition of an element to a list or removal of an element from a list.

Since:
  1.0

### Constructor Summary

Constructors
`ListDiffEntry()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract E` `getElement()`
`abstract int` `getPosition()`
`abstract boolean` `isAddition()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ListDiffEntry

    public ListDiffEntry()

### Method Detail

#### getPosition

    public abstract int getPosition()

Returns:
  the 0-based position of the addition or removal

#### isAddition

    public abstract boolean isAddition()

Returns:
  true if this represents an addition, false if this represents a removal

#### getElement

    public abstract E getElement()

Returns:
  the element that was added or removed

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`